Bug 162412 - 'fp' is used uninitialized in this function
Summary: 'fp' is used uninitialized in this function
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: tcp_wrappers   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-04 10:59 UTC by David Binderman
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-24 14:42:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Binderman 2005-07-04 10:59:40 UTC
Description of problem:

I just tried to compile package tcp_wrappers-7.6-39 from Redhat
Fedora Core development tree with the gcc 4.0.0 compiler and the
compiler flag -Wall.

The compiler said

inetcf.c:91: warning: 'fp' is used uninitialized in this function

The source code is

        for (i = 0; inet_files[i] && (fp = fopen(inet_files[i], "r")) == 0; i++)
            /* void */ ;
        if (fp == 0) {

I agree with the compiler. Suggest initialise local variable
"fp" before first use.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Thomas Woerner 2006-01-24 14:42:01 UTC
Fixed in rawhide in rpm tcp_wrappers-7.6-40.


Note You need to log in before you can comment on or make changes to this bug.